Rename llvm library from libLLVM-X.Y to libLLVM-X
ClosedPublic

Authored by sylvestre.ledru on Jan 9 2018, 9:05 AM.

Details

Summary

As we are only doing X.0.Z releases (not using the minor version), there is no need to keep -X.Y in the version.

Like patch https://reviews.llvm.org/D41808, I propose that we rename libLLVM-7.0svn.so to libLLVM-7svn.so
This patch will also rename downstream libraries like liblldb-7.0 to liblldb-7

Diff Detail

Repository
rL LLVM
sylvestre.ledru created this revision.Jan 9 2018, 9:05 AM
sylvestre.ledru edited the summary of this revision. (Show Details)

More things to update (the library name too)

With llvm-config

hans accepted this revision.Mar 21 2018, 9:24 AM

Seems reasonable to me. Probably worth adding a blurb in ReleaseNotes.rst too.

This revision is now accepted and ready to land.Mar 21 2018, 9:24 AM
dim accepted this revision.Mar 22 2018, 4:30 AM

LGTM

sylvestre.ledru edited the summary of this revision. (Show Details)

Add to the release notes

Closed by commit rL328768: Rename llvm library from libLLVM-X.Y to libLLVM-X (authored by sylvestre, committed by ). · Explain WhyMar 29 2018, 2:46 AM
This revision was automatically updated to reflect the committed changes.